#
# spec file for package python-dash-html-components
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-dash-html-components
Version:        2.0.0
Release:        1.11
Summary:        Vanilla HTML components for Dash - Legacy
License:        MIT
URL:            https://github.com/plotly/dash-html-components
Source:         https://files.pythonhosted.org/packages/source/d/dash-html-components/dash_html_components-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Vanilla HTML components for Dash

As of Dash 2, the development of dash-html-components has been moved to the main Dash repo

This package exists for backward compatibility as Dash still lists it as requirement. It
has no further functionality than displaying a deprecation message.

%prep
%setup -q -n dash_html_components-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/dash_html_components
%{python_sitelib}/dash_html_components-%{version}*-info

%changelog
* Tue Jun  7 2022 Ben Greiner <code@bnavigator.de>
- Update to 2.0.0
  * As of Dash 2, the development of dash-html-components has been
    moved to the main Dash repo
  * This package exists for backward compatibility as Dash still
    lists it as requirement. It has no further functionality than
    displaying a deprecation message.
* Fri Apr  9 2021 Ben Greiner <code@bnavigator.de>
- Update to version 1.1.3
  * #179 - Fixes #77 Added allow and referrerPolicy properties to
    html.Iframe
  * #178 - Fix #161 data property, and fix #129 obsolete,
    deprecated, and discouraged elements. No elements were
    removed, but comments were added to the documentation about
    these elements detailing their limitations.
  * #169 - part of fixing dash import bug
    https://github.com/plotly/dash/issues/1143
- Skip python36 buildrequire for pandas tests: No numpy, no pandas
  (we don't test it right now anyway)
* Sun Jan  3 2021 Benjamin Greiner <code@bnavigator.de>
- Cleanup Andy's version for submission
  * stay on (non-tagged) github archive
  * drop requirement on dash (build cycle dependency)
* Mon Dec 21 2020 andy great <andythe_great@pm.me>
- Update to version 1.1.1.
  * Dash.jl Julia component generation
* Wed Nov 11 2020 Marketa Machova <mmachova@suse.com>
- Update to 1.1.0
  * Add support for Dash.jl Julia component generation.
* Sat Apr 18 2020 Arun Persaud <arun@gmx.de>
- specfile:
  * be more specific in %%files section
- update to version 1.0.3:
  * Updated
    + Update generated props
    + Update generated R artifacts
* Tue Mar 31 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix buildrequires
- Install license
- Run tests
* Mon Mar 30 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.0.2
